Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027623
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2014-09-17 11:522014-12-30 23:24
ReportermaiteView Statuspublic 
Assigned Topramakrishnan 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisioncb2863024046
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027623: Reconciliation line not found when trying to un-match a transaction using "Match Statement Force" process

DescriptionReconciliation line not found when trying to un-match a transaction using "Match Statement Force" process
Steps To Reproduce1. Access "Cuenta de Banco" financial account and verify that "Matching algorithm" is defined
2. Add Transaction referencing any gl item for any amount in with DATE=today
3. Create new Bank Statement header with DATE=tomorrow
4. Add Bank Statement Line with DATE=tomorrow and same amount that transaction. Process bank statement
5. Run "Match transaction" process, search for already created transactions and Reconcile it with created bank statement line
6. Verify that Reconciliation with DATE=tomorrow has been processed
7. Add Transaction referencing any gl item for any amount in with DATE=20/12/2014
8. Create new Bank Statement header with DATE=20/12/2014
9. Add Bank Statement Line with DATE=20/12/2014 and same amount that previous transaction. Process bank statement
10. Run "Match transaction" process, search for already created transactions and Reconcile it with created bank statement line
11. Verify that new Reconciliation with DATE=20/12/2014 has been processed
12. Reactivate Reconciliation with DATE=tomorrow
13. Run "Match Statement Force" process, select "cleared" checkbox and realize that your line does not appear to be un-matched

Problem is that Reconciliation's date has been changed to today instead of tomorrow (you can go to reconciliation tab to verify it)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0071512)
hgbot (developer)
2014-11-10 09:05

Repository: erp/devel/pi
Changeset: cb2863024046a5510ad052786d8403d9134cc520
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri Nov 07 13:28:47 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cb2863024046a5510ad052786d8403d9134cc520 [^]

Fixed bug 27623 fixed reconciliation date when using "Match Statement Force"

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/APRM_MatchingUtility.java
---
(0071513)
pramakrishnan (developer)
2014-11-10 09:12

Code Review + Testing - OK.
(0073031)
hudsonbot (developer)
2014-12-30 23:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-09-17 11:52 maite New Issue
2014-09-17 11:52 maite Assigned To => dmiguelez
2014-09-17 11:52 maite Modules => Advanced Payables and Receivables Mngmt
2014-09-17 11:52 maite Triggers an Emergency Pack => No
2014-09-17 11:52 maite Issue Monitored: networkb
2014-10-31 13:09 dmitry_mezentsev Assigned To dmiguelez => Sandrahuguet
2014-11-04 18:23 maite Steps to Reproduce Updated View Revisions
2014-11-04 18:25 maite Steps to Reproduce Updated View Revisions
2014-11-06 13:14 Sandrahuguet Assigned To Sandrahuguet => pramakrishnan
2014-11-06 13:14 Sandrahuguet Status new => scheduled
2014-11-06 13:14 Sandrahuguet fix_in_branch => pi
2014-11-10 09:05 hgbot Checkin
2014-11-10 09:05 hgbot Note Added: 0071512
2014-11-10 09:05 hgbot Status scheduled => resolved
2014-11-10 09:05 hgbot Resolution open => fixed
2014-11-10 09:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cb2863024046a5510ad052786d8403d9134cc520 [^]
2014-11-10 09:12 pramakrishnan Review Assigned To => pramakrishnan
2014-11-10 09:12 pramakrishnan Note Added: 0071513
2014-11-10 09:12 pramakrishnan Status resolved => closed
2014-12-30 23:24 hudsonbot Checkin
2014-12-30 23:24 hudsonbot Note Added: 0073031


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker